package com.iamberry.wechat.core.entity.flow;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;


/**
 * 模板表，用于建立返利流程的定义
 * @author 欧阳明
 * @date 2016-7-4
 */
public class TemplateInfo implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 4403175141201307709L;
	private int templateId;
	private int placeId;
	private int isGlogal; //是否是全局
	private String templateName; //模板名字
	private Date createDate ;
	private Date updateDate;
	private int createrId; //创建者-管理员
	private String creater; //创建者-管理员
	
	private int count; //最多返利几级
	private int state; //模板状态
	
	private Integer flowProductType;		// 产品类型ID
	
	private int flowNum;
	
	private PageBean page = new PageBean(); //分页信息
	
	public Integer getFlowProductType() {
		return flowProductType;
	}
	public void setFlowProductType(Integer flowProductType) {
		this.flowProductType = flowProductType;
	}
	public int getFlowNum() {
		return flowNum;
	}
	public void setFlowNum(int flowNum) {
		this.flowNum = flowNum;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public int getTemplateId() {
		return templateId;
	}
	public void setTemplateId(int templateId) {
		this.templateId = templateId;
	}
	public int getPlaceId() {
		return placeId;
	}
	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}
	public int getIsGlogal() {
		return isGlogal;
	}
	public void setIsGlogal(int isGlogal) {
		this.isGlogal = isGlogal;
	}
	public String getTemplateName() {
		return templateName;
	}
	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public int getCount() {
		return count;
	}
	public void setCount(int count) {
		this.count = count;
	}
	public int getState() {
		return state;
	}
	public void setState(int state) {
		this.state = state;
	}
	public int getCreaterId() {
		return createrId;
	}
	public void setCreaterId(int createrId) {
		this.createrId = createrId;
	}
	public String getCreater() {
		return creater;
	}
	public void setCreater(String creater) {
		this.creater = creater;
	}
	
	
	
}
